const system = require("../../../system");
const ConsumerBase = require("../../consumer.base");

class PublicConsumer extends ConsumerBase {
  constructor() {
    super(ConsumerBase.getServiceName(PublicConsumer));
    this.esUtils = system.getObject("util.esUtils");
  }
  async subBeforeConsumer(queuedName, actionBody) {
    console.log("前置操作......", this.serviceName);
  }
  async subDoConsumer(queuedName, actionBody) {
    var params = {
      actionType: actionBody.actionType,
      identifyCode: actionBody.identifyCode,
      actionBody: actionBody.messageBody,
      requestId: actionBody.requestId
    }
    var execResult = await this.execPostByTimeOut(params, actionBody.pushUrl);
    var tmpBody = {
      "opTitle": "队列推送数据记录，推送地址：" + actionBody.pushUrl,// N 操作的业务标题
      "identifyCode": actionBody.identifyCode || "",// Y 操作的业务标识
      "indexName": "push-logs",// Y es索引值，同一个项目用一个值
      "messageBody": params,
      "resultInfo": execResult,//返回信息
      "errorInfo": ""//错误信息
    }
    this.esUtils.addEsLogs(queuedName, tmpBody);
    return execResult;
  }
}
module.exports = PublicConsumer;